%define ver    0.1
%define rel 4mdk
%define _prefix /usr

Summary: Slovenian files for ispell
Name: ispell-sl
Version: %{ver}
Release: %{rel}
Group: System/Internationalization
Source0: ftp://ftp.e5.ijs.si/pub/ispell/slovensko.tar.bz2
URL: http://www.lugos.si/poisci.html
Copyright: GPL
Requires: ispell
BuildRoot: /var/tmp/%{name}-root
Prefix: %{_prefix}
Autoreqprov: false
BuildArchitectures: noarch
Requires: locales-sl
Provides: ispell-dictionary

%description
ispell-sl has the spelling data for Slovenian which is used by
the ispell program. With this extension, you can compose a document
in Slovenian and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%prep
%setup -n languages

%build
(
 cd slovensko/
 buildhash slovensko.sml slovensko.aff slovensko.hash
)

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/ispell
(
  cd slovensko/
  cp *.aff *.hash $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/
)

# make symlinks for compatibility with LaTeX babel 
(
  cd $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/ ;
  ln -s slovensko.aff slovene.aff ; ln -s slovensko.hash slovene.hash 
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root,755)
%doc slovensko/README* slovensko/stat-*
/%{_prefix}/lib/ispell/*

%changelog
* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-4mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.

